Name:           python-bleak
Version:        0.21.1
Release:        0.01%{?dist}
Summary:        Bluetooth Low Energy platform Agnostic Klient

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        MIT
URL:            https://github.com/hbldh/bleak
Source:         %{pypi_source bleak}

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-pyjnius


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'bleak' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-bleak
Summary:        %{summary}

%description -n python3-bleak %_description


%prep
%autosetup -p1 -n bleak-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%pyproject_check_import -e bleak.backends.corebluetooth -e bleak.backends.corebluetooth.* -e bleak.backends.p4android.* -e bleak.backends.winrt.*


%files -n python3-bleak -f %{pyproject_files}


%changelog
* Mon Feb 5 2024 Brian J. Murrell <brian@interlinx.bc.ca> - 0.21.1-0.01
- Initial creation
- Exclude from module import testing:
  - bleak.backends.corebluetooth{,.*}
  - bleak.backends.p4android.*
  - bleak.backends.winrt.*
